Bug 551706 - ERROR with rpm_check_debug vs depsolve: hal = 0.5.13-9.fc12 is needed by hal-devel-0.5.13-9.fc12.i686
ERROR with rpm_check_debug vs depsolve: hal = 0.5.13-9.fc12 is needed by hal-...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-01 07:32 EST by Michal Nowak
Modified: 2014-01-21 18:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 09:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sudo yum-builddep -y --verbose /home/newman/rpmbuild/SRPMS/shotwell-0.4.1-1.fc12.src.rpm &> yum-builddep.error (21.13 KB, application/octet-stream)
2010-01-01 07:32 EST, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2010-01-01 07:32:15 EST
Created attachment 381173 [details]
sudo yum-builddep -y --verbose /home/newman/rpmbuild/SRPMS/shotwell-0.4.1-1.fc12.src.rpm &> yum-builddep.error

Description of problem:

[...]
ERROR with rpm_check_debug vs depsolve:
hal = 0.5.13-9.fc12 is needed by hal-devel-0.5.13-9.fc12.i686
Complete!
(1, [u'Please report this error in http://yum.baseurl.org/report'])

See the attachement for verbose output.

Version-Release number of selected component (if applicable):

yum-utils-1.1.24-2.fc12.noarch
yum-3.2.25-1.fc12.noarch
rpm-4.7.2-1.fc12.i686

How reproducible:

always

Steps to Reproduce:
1.
2.
3.

Additional info:

The used SRPM is home-brew one based on shotwell 0.4.0svn from Koji.
Comment 1 Michal Nowak 2010-01-01 07:58:33 EST
newman SPECS $ rpmquery -a hal\*
hal-0.5.14-1.fc12.i686
hal-libs-0.5.14-1.fc12.i686
hal-info-20090716-3.fc12.noarch

newman SPECS $ sudo yum clean all
Loaded plugins: presto, refresh-packagekit
Cleaning up Everything
0 delta-package files removed, by presto
newman SPECS $ sudo yum install hal-devel libexif-devel libgee-devel libgphoto2-devel vala-devel
Loaded plugins: presto, refresh-packagekit
fedora/metalink                                                                          |  29 kB     00:00     
fedora                                                                                   | 4.2 kB     00:00     
fedora/primary_db                                                                        | 9.7 MB     00:32     
google                                                                                   |  951 B     00:00     
google/primary                                                                           | 3.0 kB     00:00     
google                                                                                                      4/4
google-chrome                                                                            |  951 B     00:00     
google-chrome/primary                                                                    | 3.0 kB     00:00     
google-chrome                                                                                               4/4
livna                                                                                    | 2.4 kB     00:00     
livna/primary_db                                                                         | 2.7 kB     00:00     
rpmfusion-free                                                                           | 3.8 kB     00:00     
rpmfusion-free/primary_db                                                                | 297 kB     00:01     
rpmfusion-free-updates                                                                   | 3.3 kB     00:00     
rpmfusion-free-updates/primary_db                                                        | 121 kB     00:00     
rpmfusion-free-updates-testing                                                           | 3.3 kB     00:00     
rpmfusion-free-updates-testing/primary_db                                                |  17 kB     00:00     
rpmfusion-nonfree                                                                        | 3.3 kB     00:00     
rpmfusion-nonfree/primary_db                                                             |  87 kB     00:00     
rpmfusion-nonfree-updates                                                                | 3.3 kB     00:00     
rpmfusion-nonfree-updates/primary_db                                                     |  40 kB     00:00     
rpmfusion-nonfree-updates-testing                                                        | 3.3 kB     00:00     
rpmfusion-nonfree-updates-testing/primary_db                                             |  10 kB     00:00     
updates/metalink                                                                         |  25 kB     00:00     
updates                                                                                  | 4.4 kB     00:00     
updates/primary_db                                                                       | 2.1 MB     00:09     
updates-testing/metalink                                                                 |  20 kB     00:00     
updates-testing                                                                          | 4.4 kB     00:00     
updates-testing/primary_db                                                               | 872 kB     00:04     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package hal-devel.i686 0:0.5.13-9.fc12 set to be updated
--> Processing Dependency: hal = 0.5.13-9.fc12 for package: hal-devel-0.5.13-9.fc12.i686
---> Package libexif-devel.i686 0:0.6.16-4.fc12 set to be updated
---> Package libgee-devel.i686 0:0.5.0-1.fc12 set to be updated
--> Processing Dependency: gobject-introspection-devel for package: libgee-devel-0.5.0-1.fc12.i686
--> Processing Dependency: vala for package: libgee-devel-0.5.0-1.fc12.i686
---> Package libgphoto2-devel.i686 0:2.4.7-2.fc12 set to be updated
--> Processing Dependency: libusb-devel >= 0.1.5 for package: libgphoto2-devel-2.4.7-2.fc12.i686
--> Processing Dependency: pkgconfig(libusb) >= 0.1.11 for package: libgphoto2-devel-2.4.7-2.fc12.i686
---> Package vala-devel.i686 0:0.7.8-1.fc12 set to be updated
--> Running transaction check
---> Package gobject-introspection-devel.i686 0:0.6.5-1.fc12 set to be updated
---> Package hal-devel.i686 0:0.5.13-9.fc12 set to be updated
--> Processing Dependency: hal = 0.5.13-9.fc12 for package: hal-devel-0.5.13-9.fc12.i686
---> Package libusb-devel.i686 0:0.1.12-22.fc12 set to be updated
---> Package vala.i686 0:0.7.8-1.fc12 set to be updated
--> Finished Dependency Resolution
hal-devel-0.5.13-9.fc12.i686 from fedora has depsolving problems
  --> Missing Dependency: hal = 0.5.13-9.fc12 is needed by package hal-devel-0.5.13-9.fc12.i686 (fedora)
Error: Missing Dependency: hal = 0.5.13-9.fc12 is needed by package hal-devel-0.5.13-9.fc12.i686 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
newman SPECS $ rpmquery hal
hal-0.5.14-1.fc12.i686
newman SPECS $ rpmquery -a hal\*
hal-0.5.14-1.fc12.i686
hal-libs-0.5.14-1.fc12.i686
hal-info-20090716-3.fc12.noarch
newman SPECS $ yum info hal-devel
Loaded plugins: presto, refresh-packagekit
Available Packages
Name       : hal-devel
Arch       : i686
Version    : 0.5.13
Release    : 9.fc12
Size       : 39 k
Repo       : fedora
Summary    : Libraries and headers for HAL
URL        : http://www.freedesktop.org/Software/hal
License    : AFL or GPLv2
Description: Headers and libraries for HAL.



hal-devel-0.5.14-1.fc12.i686 is not present in repos. So I wonder if there's bug in yum-builddep at all. But since it told be there's one, I am reporting.
Comment 2 seth vidal 2010-01-12 13:37:01 EST
did you run any of the commands yum suggested:

 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
Comment 3 Michal Nowak 2010-01-13 05:04:04 EST
I did

package-cleanup --problems
package-cleanup --dupes

and they were clean. So I jumped to Koji and found those packages I needed.
Comment 4 seth vidal 2010-01-13 09:44:01 EST
so you can no longer replicate this bug?

Note You need to log in before you can comment on or make changes to this bug.